> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieves all BYO Agents configured for your CometChat app. Use this endpoint to view all registered BYO (Bring Your Own) agents and their current configuration.

# List BYO Agents

For the complete error reference, see [Error Guide](/rest-api/byo-ai-agents-apis/error-codes).


## OpenAPI

````yaml get /ai-agents/agents
openapi: 3.0.0
info:
  title: AI Agents APIs
  description: API reference for CometChat AI Agents service
  version: '1.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: ai-agent
    description: ''
paths:
  /ai-agents/agents:
    get:
      tags:
        - Agents
      summary: List BYO Agents
      description: >-
        Retrieves all BYO Agents configured for your CometChat app. Use this
        endpoint to view all registered BYO (Bring Your Own) agents and their
        current configuration.
      operationId: AgentsController_getAgents
      parameters: []
      responses:
        '200':
          description: List of agents
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GetAgentDetailDto'
              example:
                - uid: 550e8400-e29b-41d4-a716-446655440000
                  appId: my-app-id
                  name: My Agent
                  icon: https://example.com/icon.png
                  isActive: true
                  integrateWith: openai
                  integrationType: agent
                  tools:
                    - tool1
                  actions:
                    - action1
                  instruction: You are a helpful assistant
                  integrationMeta: {}
                  metaData: {}
                  deletedAt: null
                  createdAt: '2025-12-01T00:00:00.000Z'
                  updatedAt: '2025-12-01T00:00:00.000Z'
      security:
        - apiKey: []
components:
  schemas:
    GetAgentDetailDto:
      type: object
      properties:
        uid:
          type: string
          description: Unique identifier of the agent
        appId:
          type: string
          description: Application ID
        name:
          type: string
          description: Name of the agent
        icon:
          type: string
          description: URL to the agent's avatar
        isActive:
          type: boolean
          description: Whether the agent is active
        integrateWith:
          type: string
          description: Integration platform identifier
        integrationType:
          type: string
          description: Type of connection
        tools:
          type: array
          items:
            type: string
          description: List of connected tools
        actions:
          type: array
          items:
            type: string
          description: List of connected actions
        integrationMeta:
          type: object
          description: Integration-specific configuration
        metaData:
          type: object
          description: Agent metadata
        _id:
          type: string
          description: Internal document ID
        createdAt:
          type: integer
          format: date-time
          description: Creation timestamp
        updatedAt:
          type: integer
          format: date-time
          description: Last update timestamp
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key (i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````